<mat-card-content class="mat-card-content">
    <form [formGroup]="registerFormGroup">
      <div class="text-center">
        <img style="width: 250px" alt="Logo IMG" src="https://upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Angular_full_color_logo.svg/1200px-Angular_full_color_logo.svg.png">
        <br><br>
        <h4 class="m-t-0">{{ 'bienvenue' }}</h4>
      </div>
      <div fxlayout="row" fxlayoutwrap="wrap" style="flex-flow: row wrap; box-sizing: border-box; display: flex;">
        <div fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100"
          style="flex: 1 1 100%; box-sizing: border-box; max-width: 100%; margin-bottom: 25px">
          <div class="text-center" fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100"
            style="flex: 1 1 100%; box-sizing: border-box; max-width: 100%;">
            <mat-form-field appearance="legacy">
              <mat-label>{{'firstName' }}</mat-label>
              <input formControlName="firstName" matInput placeholder="firstName">
              <mat-icon matSuffix>person</mat-icon>
            </mat-form-field>
            <mat-form-field appearance="legacy">
              <mat-label>{{'lastName' }}</mat-label>
              <input formControlName="lastName" matInput placeholder="lastName">
              <mat-icon matSuffix>person</mat-icon>
            </mat-form-field>
            <mat-form-field appearance="legacy">
              <mat-label>{{'email' }}</mat-label>
              <input formControlName="email" matInput placeholder="email">
              <mat-icon matSuffix>person</mat-icon>
            </mat-form-field>
            <mat-form-field appearance="legacy">
              <mat-label>{{'pwd' }}</mat-label>
              <input [type]="hide ? 'text' : 'password'" formControlName="password" matInput placeholder="Password">
              <mat-icon matSuffix (click)="hide = !hide"> {{hide ? 'visibility' : 'visibility_off'}}</mat-icon>
            </mat-form-field>
            <mat-error *ngIf="isWrongCredentials">
              {{ 'wrongCredentialsErr' }}
            </mat-error>
          </div>
        </div>
        <div class="text-center" fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100"
          style="flex: 1 1 100%; box-sizing: border-box; max-width: 100%;margin-bottom: 25px">
          <button mat-raised-button (click)="addUser()" color='primary' [disabled]="loginFormGroup?.get('login')?.value == '' || loginFormGroup?.get('password')?.value == '' ">
            <mat-icon matSuffix>input</mat-icon>
            {{ 'Valider' }}
          </button>
        </div>
        <div class="text-center" fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100"
          style="flex: 1 1 100%; box-sizing: border-box; max-width: 100%;">
          <span>
            <a routerLink="/authentification/login">{{'Already a mmeber ?! Login ' }}</a>
          </span>
        </div>
      </div>
  
  
    </form>
  </mat-card-content>